List documents in a knowledgebase revision
const url = 'https://app.prefactorai.com/api/v1/knowledgebase_revision/013xrzp12g3nqk8ns6jadrqmpgrjkeny/documents';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.prefactorai.com/api/v1/knowledgebase_revision/013xrzp12g3nqk8ns6jadrqmpgrjkeny/documents \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A valid knowledgebase revision ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyQuery Parameters
Section titled “Query Parameters”Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
Sorting information
object
The direction to sort by
The field to sort by (values depend on the type of list)
Where to place null values. auto leaves placement to the database default.
Response status when the query succeeds
Documents in the revision, ordered by path
A document as it appeared in one knowledgebase revision
object
MIME type of the document in this revision
A valid knowledgebase document ID
A valid knowledgebase document revision ID
Document path in this revision
Size of the document in bytes in this revision
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": { "direction": "asc", "field": "id", "nulls": "first" }, "status": "success", "summaries": [ { "content_type": "text/markdown", "knowledgebase_document_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "knowledgebase_document_revision_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "path": "guides/setup.md", "size_bytes": 128 } ]}default
Section titled “default”Error
object
object
object
object
Milliseconds until the client may retry.
object
A valid knowledgebase document revision ID
Example
{ "code": "bad_request", "status": "error"}